"
 Copyright (c) 2002 David Forster <dforste89@yahoo.com>

 Permission is hereby granted, free of charge, to any person
 obtaining a copy of this software and associated documentation files
 (the ``Software''), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge,
 publish, distribute, sublicense, and/or sell copies of the Software,
 and to permit persons to whom the Software is furnished to do so,
 subject to the following conditions:
 
 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.
 
 THE SOFTWARE IS PROVIDED ``AS IS'', WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
 BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
 ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.

"

FileStream fileIn: 'Xlib.st'!

Object subclass: #XTest
       instanceVariableNames: 'display window'
       classVariableNames: ''
       poolDictionaries: ''
       category: 'XTest'!


!XTest class methodsFor: 'instance creation'!
new
    ^super new initialize.
!!

!XTest methodsFor: 'initialization'!

initialize
    display := Xlib Display new.
    ^self
!!

!XTest methodsFor: 'access'!

display
    ^display
!

window
    ^window

!!

!XTest methodsFor: 'misc'!

run
    window := display createSimpleWindowWithParent: (display rootWindowOfScreen: 0)
		      dimensions: (0 @ 0 extent: 400 @ 300)
		      borderWidth: 3 border: (display blackPixelOfScreen: 0)
		      background: (display whitePixelOfScreen: 0).
    display mapWindow: window.
    display sync.

    display drawRectangle: ( 5 @ 5 corner: 20 @ 20 )
	    on: window withGC: (display defaultGCOfScreen: 0).

    display sync.
    
    ^self.

!!


Smalltalk at: #xTest put: (XTest new)!
